#include <bits/stdc++.h>
using namespace std;
int n,q,x,y,br;
long long niz[100005],niz1[100005];
int main (){
  scanf("%d", &n);
  for(int i=1;i<=n;i++){
    scanf("%d", &niz[i]);
    if(niz[i]<niz[i-1]){
      niz1[i-1]=1;
    }
  }
  for(int i=1;i<=n;i++){
    niz1[i]=niz1[i]+niz1[i-1];
  }
  
  scanf("%d", &q);
  while(q--){
    scanf("%d", &x);
    scanf("%d", &y);
      if(niz1[y-1]-niz1[x-1]>1){
      cout<<"NE"<<endl;
      }
    else cout<<"DA"<<endl;


  }
return 0;
}